Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### beginRecord()

Examples

    import processing.pdf.*;

    void setup() {
      size(400, 400);
      beginRecord(PDF, "everything.pdf");
    }

    void draw() {
      ellipse(mouseX, mouseY, 10, 10);
    }

    void mousePressed() {
      endRecord();
      exit();
    }

Description | Opens a new file and all subsequent drawing functions are echoed to this file as well as the display window. The beginRecord() function requires two parameters, the first is the renderer and the second is the file name. This function is always used with endRecord() to stop the recording process and close the file.

Syntax

    beginRecord(renderer, filename)

Parameters

renderer | For example, PDF or DXF
filename | String: filename for output

Usage | Application
Related | endRecord()

Updated on August 30, 2010 04:29:39pm EDT